WALL(1)()

NAZWA
wall - wysyła wiadomość do użytkowników

SKŁADNIA
wall [-n] [-t CZAS] [plik]

OPIS
Wall wyświetla zawartość pliku lub (domyślnie) swego standardowego wejścia na terminale wszystkich zalogowanych obecnie użytkowników. Polecenia zawija wiersze po 79 znaku. Krótsze wiersze są wypełniane białymi znakami do liczby 79 znaków. Każdy wiersz kończy się znakami powrotu karetki i nowego wiersza.

Jedynie administrator może wysyłać wiadomości na terminale użytkowników, którzy zdecydowali się nie wyrazić zgody na otrzymywanie komunikatów lub używają programu automatycznie odrzucającego wiadomości.

Czytanie z pliku nie jest możliwe, jeśli wywołujący polecenie nie jest administratorem, ani program nie korzysta z suid lub sgid.

OPCJE

-n, - -nobanner
    Nie wyświetla nagłówka

-t, - -timeout CZAS
    Określa czas przedawnienia wypisania wiadomości na terminalu. Argument musi być liczbą naturalną. Domyślną wartością, ustaloną jeszcze w czasach, gdy łączność między terminalami zapewniały modemy telefoniczne, jest 300 sekund.

-V, - -version
    Wyświetla informacje o wersji i wychodzi.

-h, - -help
    Wyświetla pomoc i wychodzi.

ZOBACZ TAKŻE
mesg(1), talk(1), write(1), shutdown(8)

HISTORIA
Polecenie wall pojawiło się w AT&T UNIX.

DOSTĘPNOŚĆ
Polecenie wall jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.